Bug 53839

Summary: nrwt multiprocessing: remove obsolete WatchableThread class
Product: WebKit Reporter: Dirk Pranke <dpranke>
Component: New BugsAssignee: Dirk Pranke <dpranke>
Status: RESOLVED FIXED    
Severity: Normal CC: eric, hayato, mihai, ojan, tony
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Other   
OS: OS X 10.5   
Bug Depends on:    
Bug Blocks: 53838    
Attachments:
Description Flags
remove WatchableThread ojan: review+

Description Dirk Pranke 2011-02-04 20:08:41 PST
nrwt multiprocessing: remove obsolete WatchableThread class
Comment 1 Dirk Pranke 2011-02-04 20:10:03 PST
Created attachment 81341 [details]
remove WatchableThread
Comment 2 Eric Seidel (no email) 2011-02-05 01:17:59 PST
Comment on attachment 81341 [details]
remove WatchableThread

I'm not sure why inlining this class is better.
Comment 3 Dirk Pranke 2011-02-05 11:59:10 PST
fewer lines of code, less distractions. The test code that used the WatchableThread abstraction is gone, so readers might look at this code and be puzzled by why it doesn't seem to be used anywhere. And they'd be right. 

If you look at the next series of patches, my goal is to move all of the real logic into single_test_runner, leaving dump_render_tree_thread.py (and worker.py) with just the communications code.
Comment 4 Ojan Vafai 2011-02-06 14:49:38 PST
Comment on attachment 81341 [details]
remove WatchableThread

Less subclassing seems better if we don't get anything from the subclassing.
Comment 5 Dirk Pranke 2011-02-08 16:37:31 PST
Committed r77991: <http://trac.webkit.org/changeset/77991>